TU-Berlin | → | Inst. f. Mathematik | → | Algebra und Zahlentheorie | → | KASH | → | Documentation | → | Reference Manual

| KASH3 Reference Manual

Introduction | Reference Manual | Index

search

### Function

IsIsomorphic ( grp^abl G, grp^abl H ) -> elt-alg^boo, map()

### Optional Arguments

Results | elt-ord^rat |  | 1 <= Results <= 2

### Description

<shortdoc> True and a map from G to H if G and H are isomorphic; otherwise false. </shortdoc>

### Examples

x_g := AbelianGroup([2,5]);; x_h1 := FreeAbelianGroup(2);; x_h2 := Sub(x_h1,5*x_h1.1,2*x_h1.2);; x_h := Quotient(x_h1,x_h2);; IsIsomorphic(x_g,x_h);

| Built: Mon Nov 14 21:12:39 UTC 2005 on mack